List available image and video generation models
curl --request GET \
--url https://nsfw-api.net/v1/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nsfw-api.net/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "<string>",
"object": "model",
"operation": "image_generation",
"capabilities": {},
"price": {
"amount": "<string>",
"currency": "USD",
"unit": "<string>",
"prompt_extend_surcharge": "<string>",
"rates_per_second": {}
}
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}API Reference
List models
List available image and video generation models.
GET
https://nsfw-api.net
/
v1
/
models
List available image and video generation models
curl --request GET \
--url https://nsfw-api.net/v1/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nsfw-api.net/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "<string>",
"object": "model",
"operation": "image_generation",
"capabilities": {},
"price": {
"amount": "<string>",
"currency": "USD",
"unit": "<string>",
"prompt_extend_surcharge": "<string>",
"rates_per_second": {}
}
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Returns the models available to the authenticated project, including capabilities, supported inputs, and exact pricing.
Last modified on September 17, 2026